darcs

Issue 1268 wish: "darcs init x" like "darcs init --repodir x"

Title wish: "darcs init x" like "darcs init --repodir x"
Priority feature Status resolved
Milestone Resolved in 2.10.0 HEAD
Superseder make darcs put 'get' to a temporary directory and copy it over
View: 1066
Nosy List btcoburn, dmitry.kurochkin, gh, jaredj, kowey, twb
Assigned To
Topics ProbablyEasy, UI

Created on 2008-12-17.05:46:58 by twb, last changed 2014-05-04.20:17:28 by noreply.

Messages
msg6826 (view) Author: twb Date: 2008-12-17.05:46:56
Just as "darcs get x y" is short for "darcs get --repodir y x", I wish
I could just say "darcs init x" instead of "darcs init --repodir x".
msg6827 (view) Author: btcoburn Date: 2008-12-17.08:12:25
Now that's funny! I just asked exactly the same thing in issue1267. :-)
msg11529 (view) Author: kowey Date: 2010-06-21.20:23:01
In the followup to patch251, Guillaume said that we should first
implement issue1066 and then apply Rado's alternative patch. When
issue1066 is fixed, we should revisit that patch.
msg17431 (view) Author: noreply Date: 2014-05-04.20:17:27
The following patch sent by Guillaume Hoffmann <guillaumh@gmail.com> updated issue issue1268 with
status=resolved;resolvedin=2.10.0 HEAD

* resolve issue1268: enable to write darcs init x 
Ignore-this: 2586d59ba17f94b655c3a48df80b5d66
Original patch by Radoslav Dorcik
History
Date User Action Args
2008-12-17 05:46:59twbcreate
2008-12-17 08:12:27btcoburnsetpriority: feature
nosy: + btcoburn
status: unread -> unknown
messages: + msg6827
2009-01-11 14:53:31twblinkissue1267 superseder
2009-08-11 16:12:14koweysetstatus: unknown -> needs-implementation
nosy: + jaredj
topic: + ProbablyEasy, UI
2009-08-25 17:36:14adminsetnosy: + darcs-devel, - simon
2009-08-27 14:22:57adminsetnosy: kowey, darcs-devel, twb, thorkilnaur, btcoburn, jaredj, dmitry.kurochkin
2010-03-23 18:01:34koweysetnosy: - thorkilnaur
2010-06-21 20:23:01koweysetstatus: needs-implementation -> waiting-for
nosy: + gh, - darcs-devel
superseder: + make darcs put 'get' to a temporary directory and copy it over
messages: + msg11529
2014-05-04 20:17:28noreplysetstatus: waiting-for -> resolved
messages: + msg17431
resolvedin: 2.10.0 HEAD